package com.sxyz.rfid.presenter.model;

/**
 * 主要功能:
 *
 * @Description:
 * @Project: rfid-app
 * @Package: com.sxyz.rfid.presenter.model
 * @author: chunyuanwu
 * @date: 2026年01月05日 15:14
 * @version: 1.0.0
 */
public class ReviewRfidTaskCheckModel {

    /**
     * msg : 盘点成功
     * code : 200
     * data : {"taskId":10,"totalScanned":1,"validScanned":1,"invalidScanned":0,"surplusCount":0,"countedItems":2,"checkStatus":"2","totalItems":2,"progress":1,"deficitCount":0}
     */

    private String msg;
    private int code;
    private DataBean data;

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * taskId : 10
         * totalScanned : 1
         * validScanned : 1
         * invalidScanned : 0
         * surplusCount : 0
         * countedItems : 2
         * checkStatus : 2
         * totalItems : 2
         * progress : 1.0
         * deficitCount : 0
         */

        private int taskId;
        private int totalScanned;
        private int validScanned;
        private int invalidScanned;
        private int surplusCount;
        private int countedItems;
        private String checkStatus;
        private int totalItems;
        private double progress;
        private int deficitCount;

        public int getTaskId() {
            return taskId;
        }

        public void setTaskId(int taskId) {
            this.taskId = taskId;
        }

        public int getTotalScanned() {
            return totalScanned;
        }

        public void setTotalScanned(int totalScanned) {
            this.totalScanned = totalScanned;
        }

        public int getValidScanned() {
            return validScanned;
        }

        public void setValidScanned(int validScanned) {
            this.validScanned = validScanned;
        }

        public int getInvalidScanned() {
            return invalidScanned;
        }

        public void setInvalidScanned(int invalidScanned) {
            this.invalidScanned = invalidScanned;
        }

        public int getSurplusCount() {
            return surplusCount;
        }

        public void setSurplusCount(int surplusCount) {
            this.surplusCount = surplusCount;
        }

        public int getCountedItems() {
            return countedItems;
        }

        public void setCountedItems(int countedItems) {
            this.countedItems = countedItems;
        }

        public String getCheckStatus() {
            return checkStatus;
        }

        public void setCheckStatus(String checkStatus) {
            this.checkStatus = checkStatus;
        }

        public int getTotalItems() {
            return totalItems;
        }

        public void setTotalItems(int totalItems) {
            this.totalItems = totalItems;
        }

        public double getProgress() {
            return progress;
        }

        public void setProgress(double progress) {
            this.progress = progress;
        }

        public int getDeficitCount() {
            return deficitCount;
        }

        public void setDeficitCount(int deficitCount) {
            this.deficitCount = deficitCount;
        }
    }
}
